# TdApi.AddedReactions (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: AddedReactions

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AddedReactions

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.AddedReactions

Enclosing class:
  TdApi

public static final class TdApi.AddedReactions extends TdApi.Object
Represents a list of reactions added to a message.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`nextOffset`
The offset for the next request.
`TdApi.AddedReaction[]`
`reactions`
The list of added reactions.
`int`
`totalCount`
The total number of found reactions.

## Constructor Summary

Constructors
Constructor
Description
`AddedReactions()`
Represents a list of reactions added to a message.
`AddedReactions(int totalCount, TdApi.AddedReaction[] reactions, String nextOffset)`
Represents a list of reactions added to a message.
`AddedReactions(DataInput input)`
Represents a list of reactions added to a message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### totalCount

public int totalCount
The total number of found reactions.

### reactions

public TdApi.AddedReaction[] reactions
The list of added reactions.

### nextOffset

public String nextOffset
The offset for the next request. If empty, there are no more results.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### AddedReactions

public AddedReactions()
Represents a list of reactions added to a message.

### AddedReactions

public AddedReactions(int totalCount, TdApi.AddedReaction[] reactions, String nextOffset)
Represents a list of reactions added to a message.

Parameters:
  `totalCount` - int The total number of found reactions.
  `reactions` - AddedReaction[] The list of added reactions.
  `nextOffset` - String The offset for the next request. If empty, there are no more results.

### AddedReactions

public AddedReactions(DataInput input) throws IOException
Represents a list of reactions added to a message.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`